## sysvinit 3.14

=== man/Makefile ===
MANPAGES=bootlogd.8 fstab-decode.8 halt.8 init.8 initctl.5 initscript.5 inittab.5 \
killall5.8 last.1 lastb.1 logsave.8 mesg.1 mountpoint.1 pidof.8 poweroff.8 \
readbootlog.1 reboot.8 runlevel.8 shutdown.8 sulogin.8 telinit.8 utmpdump.1 \
wall.1

PO4A := $(shell command -v po4a 2> /dev/null)

PO4A_OPTS = --previous --srcdir po/ --destdir ./ --no-backups --stamp \
            --package-name sysvinit --package-version $(VERSION) \
            --msgid-bugs-address "Jesse <jsmith@resonatingmedia.com>"

all:
	sed --in-place=.orig --separate 's/\@VERSION\@/$(VERSION)/g' $(MANPAGES)
ifdef PO4A
	po4a $(PO4A_OPTS) po/po4a.cfg
else
	@echo 'Install po4a to build translated manpages'
endif

# Installation recipes are in ../src/Makefile
install: all

clean distclean:
ifdef PO4A
	po4a $(PO4A_OPTS) --rm-translations po/po4a.cfg
endif
	rm -f *.po sysvinit-man.pot

=== debian/changelog ===
sysvinit (3.14-4.0antix3) unstable; urgency=medium

  * sysvinit-init-diversity now assumes sysvinit-core is not installed.
  * inittab & halt & telinit deployment also handled by sysvinit-init-diversity

 -- anticapitalista <antix@operamail.com>  Mon, 27 Oct 2025 14:00:06 +0200

sysvinit (3.14-4.0antix2) unstable; urgency=medium

  * Updated maintaner scripts to skip update-grub on Live/Frugal systems

 -- anticapitalista <antix@operamail.com>  Fri, 03 Oct 2025 18:32:30 +0300

sysvinit (3.14-4.0antix1) unstable; urgency=medium

  * set as non essential

 -- anticapitalista <antix@operamail.com>  Mon, 17 Mar 2025 12:20:38 +0200

sysvinit (3.14-4) unstable; urgency=medium

  * d/control: bump Standards Version (no changes).
  * Take over /etc/init.d/kmod from src:kmod << 34.1-1 (Closes: #1100072).

 -- Mark Hindley <leepen@debian.org>  Mon, 10 Mar 2025 16:49:51 +0000

sysvinit (3.14-3) unstable; urgency=medium

  * rcS: Default to ASYNCMOUNTNFS=no if ip= or nfsroot= specified on kernel
    commandline. (Closes: #434570).
  * if-up.d/mountnfs: only print waiting for interface message if VERBOSE.
    (Closes: #578247)
  * d/control:
    - bump Standards Version (no changes).
    - bootlogd Conflicts plymouth; they both log to /var/log/boot.log.
      (Closes: #669017)
  * d/sysvinit-core.NEWS: add instructions for forcing init switch despite
    Protected: yes.

 -- Mark Hindley <leepen@debian.org>  Mon, 24 Feb 2025 09:27:01 +0000

sysvinit (3.14-2) experimental; urgency=medium

  [ Mark Hindley ]
  * mount-functions.sh: only warn about old /dev/shm mount if it is
    actually present in /etc/fstab. (Closes: #761511)
  * tmpfs-config.5: clarify that TMPFS_SIZE override requires empty string.
    (Closes: #987316)
  * checkroot.sh: create last-resort root device in /dev: /run may be
    nodev or read-only. (Closes: #1008911)
  * initscripts README.Debian: update to refer to /etc/default/tmpfs and
    tmpfs(5).
  * if-up.d/mountnfs: refactor to use /run and minimise time before
    registering lockdir cleanup handler.
  * Ensure stray /run/network/mountnfs lockdir is also cleaned.
    (Closes: #608862)
  * rcS(5): document requirement for auto rather than allow-hotplug
    interfaces with ASYNCMOUNTNFS=no. (Closes: #612519)
  * d/control: sysvinit-core add Protected: yes. (Closes: #940965)
  * if-up.d/mountnfs: always no-op if systemd is running. (Closes: #782142).


  [ Bjarni Ingi Gislason ]
  * Bug#1095674: halt.5: Some remarks and a patch with editorial changes
    for this man page (Closes: 1095674).

  [ Pierre Ynard ]
  * Bug#686531: Fix checkroot-bootclean.sh fails if rootfs is mounted
    read-only via NFS (Closes: #686531).

 -- Mark Hindley <leepen@debian.org>  Tue, 18 Feb 2025 08:23:45 +0000

sysvinit (3.14-1) unstable; urgency=medium

  [ Mark Hindley ]
  * New upstream version 3.14
  * d/p/0005-workaround-gcc-lintian.patch: drop as no longer applies
    cleanly and lintian warning is no longer evident.

  [ Helmut Grohne ]
  * Build-Depends: libcrypt-dev. (Closes: #1094247)

 -- Mark Hindley <leepen@debian.org>  Mon, 10 Feb 2025 09:38:57 +0000

=== debian/control ===
Source: sysvinit
Section: admin
Priority: optional
Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
Uploaders:
 Ian Jackson <ijackson@chiark.greenend.org.uk>,
 Benda Xu <heroxbd@gentoo.org>,
 Adam Borowski <kilobyte@angband.pl>,
 Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>,
 Mark Hindley <leepen@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libcrypt-dev,
 libselinux1-dev [linux-any],
 po4a,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/slicer69/sysvinit
Vcs-Git: https://salsa.debian.org/debian/sysvinit.git
Vcs-Browser: https://salsa.debian.org/debian/sysvinit

Package: sysvinit-core
Architecture: any
Depends:
 initscripts,
 kbdcontrol (>= 8.2+ds2-6) [kfreebsd-any],
 sysv-rc | file-rc | openrc,
 sysvinit-utils | sysvinit-utils-antix,
 mount [linux-any],
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 systemd-sysv,
 molly-guard (<< 0.8.3~),
 bfh-container (<< 20211009-24~),
 progress-linux-container (<< 20221002-12~),
Breaks:
 manpages-es (<< 4.15.0-9~),
 manpages-fr (<< 4.15.0-9~),
 manpages-de (<< 4.15.0-9~),
 manpages-hu (<< 1:4.15.0-9~),
 manpages-pl (<< 1:4.15.0-9~),
Replaces:
 systemd-sysv,
 sysvinit (<< 2.88dsf-44~),
 manpages-es (<< 4.15.0-9~),
 manpages-fr (<< 4.15.0-9~),
 manpages-de (<< 4.15.0-9~),
 manpages-hu (<< 1:4.15.0-9~),
 manpages-pl (<< 1:4.15.0-9~),
Suggests:
 bootlogd,
Recommends:
 orphan-sysvinit-scripts,
Description: System-V-like init
 This package contains programs required for booting
 a Debian system and doing basic process management.
 .
 The most important program in the package is /sbin/init.
 It is the first process started on boot and continues
 to run as process number 1 until the system halts. All
 other processes are descended from it.

Package: sysvinit-utils
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: lsb-base (<< 11.3~)
Provides: lsb-base (= 11.1.0)
Replaces: lsb-base
Description: System-V-like utilities
 This package contains the important System-V-like utilities.
 .
 Specifically, this package includes:
 init-d-script, fstab-decode, killall5, pidof
 .
 It also contains the library scripts sourced by init-d-script and other
 initscripts that were formerly in lsb-base.

Package: sysv-rc
Homepage: https://salsa.debian.org/debian/sysvinit
Architecture: all
Multi-Arch: foreign
Depends:
 insserv,
 startpar (>= 0.62-1~),
 sysvinit-utils  | sysvinit-utils-antix,
 ${misc:Depends},
Description: System-V-like runlevel change mechanism
 This package provides support for the System-V like system
 for booting, changing runlevels, and shutting down,
 configured through symbolic links in /etc/rc?.d/.

Package: initscripts
Homepage: https://salsa.debian.org/debian/sysvinit
Architecture: all
Multi-Arch: foreign
Depends:
 sysvinit-utils | sysvinit-utils-antix,
 sysv-rc | file-rc | openrc,
 ${misc:Depends},
Recommends:
 e2fsprogs,
 psmisc,
 util-linux-extra,
Description: scripts for initializing and shutting down the system
 The scripts in this package initialize a standard Debian
 system at boot time and shut it down at halt or reboot time.

Package: bootlogd
Architecture: any
Depends:
 sysvinit-utils | sysvinit-utils-antix,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: plymouth
Breaks: manpages-fr (<< 4.15.0-9~),
Replaces: manpages-fr (<< 4.15.0-9~),
Description: daemon to log boot messages
 bootlogd logs all messages printed to the system console during system boot,
 and records those messages to a logfile.
 .
 Note that not all init systems print messages to the system console,
 so that the logfile may remain empty; this is the case with systemd
 (the default init system). Try "journalctl -b" instead.

Package: sysvinit-init-antix
Section: init-diversity
Architecture: any
Depends:
 initscripts,
 kbdcontrol (>= 8.2+ds2-6) [kfreebsd-any],
 sysv-rc | openrc,
 sysvinit-utils | sysvinit-utils-antix,
 bootlogd,
 init-diversity-tools,
 grub-init-diversity,
 mount [linux-any],
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 orphan-sysvinit-scripts,
 runit-init-antix,
 openrc-init-antix,
 s6-rc-init-antix,
 s6-66-rc-init-antix,
 dinit-init-antix,
Replaces:
 lib-sysvinit-init,
 sysvinit-core,
 systemd-sysv,
 sysvinit (<< 2.88dsf-44~),
Breaks:
 lib-sysvinit-init,
Description: System-V-like init
 This package allows sysvinit to co-exist with other init systems in a
 Debian system allowing the user to choose which init to boot.
 .
 The most important program in the package is /lib/sysvinit/init.
 It is the first process started on boot and continues
 to run as process number 1 until the system halts. All
 other processes are descended from it
 .
 This is a metapackage to simplify installation requirements for sysvinit 
 to be run in a multi-init configuration. It automatically installs the 
 grub-init-diversity & init-diversity-tools packages which provide support for
 the grub menus & compatibility symlinks (shutdown, halt, reboot, poweroff) 
 that are expected by desktop environments and other system tools for various
 inits including sysvinit.

=== debian/rules ===
#! /usr/bin/make -f
DEB_BUILD_MAINT_OPTIONS+=hardening=+all
include /usr/share/dpkg/default.mk
include debian/config/selinux.mk

tmp     = $(CURDIR)/debian/tmp
sysvtmp = $(CURDIR)/debian/sysvinit-core
inittmp = $(CURDIR)/debian/initscripts
doc	= /usr/share/doc

LC_ALL	= POSIX

INSTALL_DATA = install -m 644
INSTALL      = install -m 755

derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")

# Handle cross builds
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
# CROSS is passed to make, CC is called directly.
CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

DH_OPTIONS =

# Use debhelper's dh
%:
	dh $@ $(DH_OPTIONS)

override_dh_auto_build:
	$(MAKE) $(CROSS) $(CONFFLAGS) DISTRO=Debian LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"


override_dh_auto_install-arch:
	$(MAKE) -C src $(CROSS) ROOT=$(tmp) DISTRO=Debian install

override_dh_auto_install-indep:
	$(MAKE) -C debian/src/initscripts install DESTDIR=$(inittmp)

override_dh_install-arch:
	dh_install

	# sysvinit package
	if test -e debian/share/inittab.$(DEB_HOST_GNU_TYPE) ; \
	then \
		$(INSTALL_DATA) \
			debian/share/inittab.$(DEB_HOST_GNU_TYPE) \
			$(sysvtmp)/usr/share/sysvinit/inittab ; \
	elif test -e debian/share/inittab.$(DEB_HOST_GNU_SYSTEM) ; \
	then \
		$(INSTALL_DATA) \
			debian/share/inittab.$(DEB_HOST_GNU_SYSTEM) \
			$(sysvtmp)/usr/share/sysvinit/inittab ; \
	else \
		$(INSTALL_DATA) debian/share/inittab \
			$(sysvtmp)/usr/share/sysvinit/inittab ; \
	fi

	# initscripts package may include /sys
ifneq (,$(findstring $(DEB_HOST_ARCH_OS),linux kfreebsd))
	$(INSTALL) -d $(inittmp)/sys
endif

ifeq ($(derives_from_ubuntu),yes)
ifneq (,$(findstring sysvinit-utils, $(shell dh_listpackages)))
	cp -p debian/src/lsb-base/init-functions.d/50-ubuntu-logging \
		debian/sysvinit-utils/lib/lsb/init-functions.d/
endif
endif

install-arch: build-arch
	dh $@ $(DH_OPTIONS)

override_dh_installchangelogs-arch:
	dh_installchangelogs -psysvinit-core doc/Changelog
	dh_installchangelogs -psysvinit-utils --exclude doc/Changelog
	dh_installchangelogs -pbootlogd

override_dh_installchangelogs-indep:
	dh_installchangelogs

override_dh_installdeb:
	dh_installdeb

ifeq ($(DEB_HOST_ARCH_OS), hurd)
	# The Hurd has its own halt and reboot commands.
	mv $(sysvtmp)/usr/share/man/man8/halt.8.gz $(sysvtmp)/usr/share/man/man8/halt-sysv.8.gz
	rm $(sysvtmp)/usr/share/man/man8/reboot.8.gz
	ln -s halt-sysv.8.gz $(sysvtmp)/usr/share/man/man8/reboot-sysv.8.gz
	rm $(sysvtmp)/usr/share/man/man8/poweroff.8.gz
	ln -s halt-sysv.8.gz $(sysvtmp)/usr/share/man/man8/poweroff-sysv.8.gz
	mv $(sysvtmp)/usr/sbin/halt $(sysvtmp)/usr/sbin/halt-sysv
	rm $(sysvtmp)/usr/sbin/reboot
	ln -s halt-sysv $(sysvtmp)/usr/sbin/reboot-sysv
	rm $(sysvtmp)/usr/sbin/poweroff
	ln -s halt-sysv $(sysvtmp)/usr/sbin/poweroff-sysv
endif

override_dh_clean:
	dh_clean
	$(MAKE) -C src clobber

.PHONY: override_dh_auto_build override_dh_auto_install-arch override_dh_auto_install-indep override_dh_installchangelogs-arch override_dh_installchangelogs-indep override_dh_installdeb-arch override_dh_installdeb-indep override_dh_clean install-arch

## sysvinit 3.15

=== Makefile ===
PACKAGE=sysvinit
VERSION=$(shell sed -rn '1s/.*[[:blank:]]\((.*)\)[[:blank:]].*/\1/p' doc/Changelog)

all install clean distclean:
	@rm -f $(PACKAGE)-$(VERSION).tar.xz $(PACKAGE)-$(VERSION).tar.xz.sig
	$(MAKE) VERSION=$(VERSION) -C man $@
	$(MAKE) VERSION=$(VERSION) -C src $@

GITLOGIN=$(shell git remote -v | head -n 1 | cut -f 1 -d '@' | sed 's/origin\t//g')
override TMP:=$(shell mktemp -du $(VERSION).XXXXXXXX)
override TARBALL:=$(TMP)/$(PACKAGE)-$(VERSION).tar.xz
override SFTPBATCH:=$(TMP)/$(VERSION)-sftpbatch
SOURCES=contrib  COPYING  COPYRIGHT  doc  Makefile  man  README  src

dist: $(TARBALL).sig
	@cp $(TARBALL) .
	@cp $(TARBALL).sig .
	@echo "tarball $(PACKAGE)-$(VERSION).tar.xz ready"
	rm -rf $(TMP)

upload: $(SFTPBATCH)
	echo @sftp -b $< $(GITLOGIN)@dl.sv.nongnu.org:/releases/$(PACKAGE)
	rm -rf $(TMP)

$(SFTPBATCH): $(TARBALL).sig
	@echo progress > $@
	@echo put $(TARBALL) >> $@
	@echo chmod 664 $(notdir $(TARBALL)) >> $@
	@echo put $(TARBALL).sig >> $@
	@echo chmod 664 $(notdir $(TARBALL)).sig >> $@
	@echo rm  $(PACKAGE)-latest.tar.bz2 >> $@
	@echo symlink $(notdir $(TARBALL)) $(PACKAGE)-latest.tar.bz2 >> $@
	@echo quit >> $@

$(TARBALL).sig: $(TARBALL)
	@gpg -q -ba --use-agent -o $@ $<

$(TARBALL): $(TMP)/$(PACKAGE)-$(VERSION)
	@tar --exclude=.git --owner=nobody --group=nogroup -cJf $@ -C $(TMP) $(PACKAGE)-$(VERSION)

$(TMP)/$(PACKAGE)-$(VERSION): distclean
	@mkdir -p $(TMP)/$(PACKAGE)-$(VERSION)
	@cp -R $(SOURCES) $(TMP)/$(PACKAGE)-$(VERSION)/ 
	@chmod -R a+r,u+w,og-w $@
	@find $@ -type d | xargs -r chmod a+rx,u+w,og-w

=== src/Makefile ===
#
# Makefile	Makefile for the systemV init suite.
#		Targets:   all      compiles everything
#		           install  installs the binaries (not the scripts)
#                          clean    cleans up object files
#			   clobber  really cleans up
#
# Version:	@(#)Makefile  2.85-13  23-Mar-2004  miquels@cistron.nl
#

CPPFLAGS =
CFLAGS  ?= -O2
override CFLAGS += -ansi -fomit-frame-pointer -fstack-protector-strong -W -Wall -Wunreachable-code -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2 -D_XOPEN_SOURCE -D_GNU_SOURCE -DVERSION=\"$(VERSION)\"
override CFLAGS += $(shell getconf LFS_CFLAGS)
STATIC	=
MANDB	:= s@^\('\\\\\"\)[^\*-]*-\*- coding: [^[:blank:]]\+ -\*-@\1@

#
# Leave empty if the mountpoint(1) command from util-linux 2.20
# and above should be used, otherwise set it to yes.
#
MNTPOINT=

# For some known distributions we do not build all programs, otherwise we do.
BIN	=
SBIN	= init halt shutdown runlevel killall5 fstab-decode logsave
USRBIN	= last mesg readbootlog

MAN1	= last.1 lastb.1 mesg.1 readbootlog.1
MAN5	= initscript.5 inittab.5 initctl.5
MAN8	= halt.8 init.8 killall5.8 pidof.8 poweroff.8 reboot.8 runlevel.8
MAN8	+= shutdown.8 telinit.8 fstab-decode.8 logsave.8

ifeq ($(DISTRO),)
SBIN	+= sulogin bootlogd
USRBIN	+= utmpdump wall
MAN1	+= utmpdump.1 wall.1
MAN8	+= sulogin.8 bootlogd.8
endif

ifeq ($(DISTRO),Debian)
CPPFLAGS+= -DACCTON_OFF
SBIN	+= sulogin bootlogd
MAN8	+= sulogin.8 bootlogd.8
MANDB	:=
endif

ifeq ($(DISTRO),Owl)
USRBIN	+= wall
MAN1	+= wall.1
MANDB	:=
endif

ifeq ($(DISTRO),SuSE)
CPPFLAGS+= -DUSE_SYSFS -DSANE_TIO -DSIGINT_ONLYONCE -DUSE_ONELINE
SBIN	+= sulogin
USRBIN	+= utmpdump
MAN1	+= utmpdump.1
MAN8	+= sulogin.8
MANDB	:=
endif

ifeq ($(MNTPOINT),yes)
BIN	+= mountpoint
MAN1	+= mountpoint.1
endif

ID		= $(shell id -u)
BIN_OWNER	= root
BIN_GROUP	= root
BIN_COMBO	= $(BIN_OWNER):$(BIN_GROUP)
ifeq ($(ID),0)
  INSTALL_EXEC	= install -o $(BIN_OWNER) -g $(BIN_GROUP) -m 755
  INSTALL_DATA	= install -o $(BIN_OWNER) -g $(BIN_GROUP) -m 644
else
  INSTALL_EXEC	= install -m 755
  INSTALL_DATA	= install -m 644
endif
INSTALL_DIR	= install -m 755 -d 

ROOT         ?= $(DESTDIR)
usrdir       ?= /usr
base_bindir  ?= /bin
base_sbindir ?= /sbin
bindir       ?= /$(usrdir)/bin
sysconfdir   ?= /etc
includedir   ?= /$(usrdir)/include
mandir       ?= /$(usrdir)/share/man

ifeq ($(WITH_SELINUX),yes)
  SELINUX_DEF	=  -DWITH_SELINUX
  INITLIBS	+= -lselinux
  SULOGINLIBS	= -lselinux	
else
  SELINUX_DEF	=
  INITLIBS	=
  SULOGINLIBS	=
endif

# Additional libs for GNU libc.
ifneq ($(wildcard $(ROOT)/$(usrdir)/lib*/libcrypt.*),)
  SULOGINLIBS	+= -lcrypt
endif

# Additional libs for GNU libc / multiarch on Debian based systems.
ifneq ($(wildcard $(ROOT)/$(usrdir)/lib/*/libcrypt.*),)
ifneq ($(findstring -lcrypt, $(SULOGINLIBS)), -lcrypt)
  SULOGINLIBS	+= -lcrypt
endif
endif

all:		$(BIN) $(SBIN) $(USRBIN)

#%: %.o
#	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LDLIBS)
#%.o: %.c
#	$(CC) $(CFLAGS) $(CPPFLAGS) -c $^ -o $@

init:		LDLIBS += $(INITLIBS) $(STATIC)
init:		init.o init_utmp.o runlevellog.o

halt:		LDLIBS += $(STATIC)
halt:		halt.o ifdown.o hddown.o utmp.o runlevellog.o

last:		LDLIBS += $(STATIC)
last:		last.o

logsave:	LDLIBS += $(STATIC)
logsave:	logsave.o

mesg:		LDLIBS += $(STATIC)
mesg:		mesg.o

mountpoint:	LDLIBS += $(STATIC)
mountpoint:	mountpoint.o

utmpdump:	LDLIBS += $(STATIC)
utmpdump:	utmpdump.o

runlevel:	LDLIBS += $(STATIC)
runlevel:	runlevel.o runlevellog.o

sulogin:	LDLIBS += $(SULOGINLIBS) $(STATIC)
sulogin:	sulogin.o consoles.o

wall:		LDLIBS += $(STATIC)
wall:		dowall.o wall.o

shutdown:	LDLIBS += $(STATIC)
shutdown:	dowall.o shutdown.o utmp.o

bootlogd:	LDLIBS += -lutil $(STATIC)
bootlogd:	bootlogd.o

readbootlog:	LDLIBS += $(STATIC)
readbootlog:	readbootlog.o 

fstab-decode:	LDLIBS += $(STATIC)
fstab-decode:	fstab-decode.o

sulogin.o:	CPPFLAGS += $(SELINUX_DEF)
sulogin.o:	sulogin.c 

runlevellog.o:	runlevellog.h runlevellog.c paths.h

init.o:		CPPFLAGS += $(SELINUX_DEF)
init.o:		init.c init.h initreq.h paths.h reboot.h runlevellog.h runlevellog.c set.h 

utmp.o:		

init_utmp.o:	CPPFLAGS += -DINIT_MAIN
init_utmp.o:	utmp.c init.h initreq.h paths.h
		$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<

bootlogd.o:	bootlogd.c bootlogd.h

readbootlog.o:	readbootlog.c
 
utmpdump.o:	utmpdump.c oldutmp.h

shutdown.o:	shutdown.c paths.h reboot.h initreq.h init.h

halt.o:		halt.c reboot.h paths.h runlevellog.c runlevellog.h

last.o:		last.c oldutmp.h

logsave.o:	logsave.c

consoles.o:	consoles.c consoles.h

cleanobjs:
		rm -f *.o *.bak

clean:		cleanobjs clobber

clobber:	cleanobjs
		rm -f $(BIN) $(SBIN) $(USRBIN)

distclean:	clobber

install:	all
		$(INSTALL_DIR) $(ROOT)$(base_bindir)/ $(ROOT)$(base_sbindir)/
		$(INSTALL_DIR) $(ROOT)$(bindir)/
		for i in $(BIN); do \
			$(INSTALL_EXEC) $$i $(ROOT)$(base_bindir)/ ; \
		done
		for i in $(SBIN); do \
			$(INSTALL_EXEC) $$i $(ROOT)$(base_sbindir)/ ; \
		done
		for i in $(USRBIN); do \
			$(INSTALL_EXEC) $$i $(ROOT)$(bindir)/ ; \
		done
		# $(INSTALL_DIR) $(ROOT)/$(sysconfdir)/
		$(INSTALL_DIR) $(ROOT)/$(sysconfdir)/inittab.d
		# $(INSTALL_EXEC) ../doc/initscript.sample $(ROOT)/$(sysconfdir)/
		ln -sf halt $(ROOT)$(base_sbindir)/reboot
		ln -sf halt $(ROOT)$(base_sbindir)/poweroff
		ln -sf init $(ROOT)$(base_sbindir)/telinit
		ln -sf $(base_sbindir)/killall5 $(ROOT)$(base_bindir)/pidof
		if [ ! -f $(ROOT)$(bindir)/lastb ]; then \
			ln -sf last $(ROOT)$(bindir)/lastb; \
		fi
		$(INSTALL_DIR) $(ROOT)$(includedir)/
		$(INSTALL_DATA) initreq.h $(ROOT)$(includedir)/
		for lang in  '' $(patsubst ../man/po/%.po,%,$(wildcard ../man/po/??.po)); do \
			$(INSTALL_DIR) $(ROOT)$(mandir)/$$lang/man1; \
			$(INSTALL_DIR) $(ROOT)$(mandir)/$$lang/man5; \
			$(INSTALL_DIR) $(ROOT)$(mandir)/$$lang/man8; \
		done
		for man in $(MAN1) $(subst ../man/,,$(foreach man,$(MAN1),$(wildcard ../man/??/$(man)))); do \
			install_target=$(ROOT)$(mandir)/$${man%$${man##*/}}man1/$${man##*/} ; \
			$(INSTALL_DATA) ../man/$$man $$install_target ; \
			sed -i "1{ $(MANDB); }" $$install_target ; \
		done
		for man in $(MAN5) $(subst ../man/,,$(foreach man,$(MAN5),$(wildcard ../man/??/$(man)))); do \
			install_target=$(ROOT)$(mandir)/$${man%$${man##*/}}man5/$${man##*/} ; \
			$(INSTALL_DATA) ../man/$$man $$install_target ; \
			sed -i "1{ $(MANDB); }" $$install_target ; \
		done
		for man in $(MAN8) $(subst ../man/,,$(foreach man,$(MAN8),$(wildcard ../man/??/$(man)))); do \
			install_target=$(ROOT)$(mandir)/$${man%$${man##*/}}man8/$${man##*/} ; \
			$(INSTALL_DATA) ../man/$$man $$install_target ; \
			sed -i "1{ $(MANDB); }" $$install_target ; \
		done
ifeq ($(ROOT),)
		#
		# This part is skipped on Debian systems, the
		# debian.preinst script takes care of it.
		@if [ ! -p /run/initctl ]; then \
		 echo "Creating /run/initctl"; \
		 rm -f /run/initctl; \
		 mknod -m 600 /run/initctl p; fi
endif

=== debian/changelog ===
sysvinit (3.15-5) unstable; urgency=medium

  * Release to unstable

 -- Mark Hindley <leepen@debian.org>  Tue, 21 Oct 2025 08:25:58 +0100

sysvinit (3.15-4) experimental; urgency=medium

  * Don't test for existing logfile before running logsave(8).
    (Closes: #1106830)
  * umountfs: recursively umount tmpfs. (Closes: #704108)
  * umountnfs: recursively umount network filesystems. (Closes: #444262)
  * /etc/init.d/rc: also set opost to avoid staircase effect.
    (Closes: #617249)

 -- Mark Hindley <leepen@debian.org>  Tue, 14 Oct 2025 08:40:20 +0100

sysvinit (3.15-3) experimental; urgency=medium

  * Update inittab on new installations to use ids consistent with
    inittab(5). (Closes: #538257)
  * Deprecate forcefsck. (Closes: #686895)
  * d/control: add Depends login (no longer Essential). (Closes: #1116288)
  * Only create .tmpfs if mount has been successful. (Closes: #719249)
  * Remove all obsolete commented AC checking code. See #326647 and
    related for discussion.
  * d/copyright: remove old FSF address (lintian).
  * d/copyright: update upstream contact and URL.

 -- Mark Hindley <leepen@debian.org>  Wed, 08 Oct 2025 09:59:57 +0100

sysvinit (3.15-2) experimental; urgency=medium

  * Update inittab on new installations to assume 8bit clean environment.
    (Closes: #435287)
  * Emphasise that /etc/fstab overrides /etc/default/tmpfs. (Closes: #688412)  
  * init-d-script:
    - Support TYPE=oneshot. (Closes: #1108969)
    - comply with style guidelines.
  * Add rcS option EXTRAKERNELFS and framework to support mounting
    additional kernel filesystems. Currently supported options are debugfs
    and cgroupfs2. (Closes: #539352)

 -- Mark Hindley <leepen@debian.org>  Tue, 23 Sep 2025 08:29:46 +0100

sysvinit (3.15-1) experimental; urgency=medium

  * New upstream version 3.15
  * d/src/README.style: add recommended initscript style.
  * d/src: comply with recommended style. (Closes: #922423)
  * init-d-script.5: document that /etc/default/$NAME environment is not
    available in script top-level. (Closes: #931867)
  * d/control, d/watch: update following upstream  migration to codeberg.

 -- Mark Hindley <leepen@debian.org>  Tue, 09 Sep 2025 13:40:37 +0100

=== debian/control ===
Source: sysvinit
Section: admin
Priority: optional
Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
Uploaders:
 Ian Jackson <ijackson@chiark.greenend.org.uk>,
 Benda Xu <heroxbd@gentoo.org>,
 Adam Borowski <kilobyte@angband.pl>,
 Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>,
 Mark Hindley <leepen@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libcrypt-dev,
 libselinux1-dev [linux-any],
 po4a,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://codeberg.org/thejessesmith/sysvinit
Vcs-Git: https://salsa.debian.org/debian/sysvinit.git
Vcs-Browser: https://salsa.debian.org/debian/sysvinit

Package: sysvinit-core
Architecture: any
Depends:
 initscripts,
 kbdcontrol (>= 8.2+ds2-6) [kfreebsd-any],
 sysv-rc | file-rc | openrc,
 sysvinit-utils (>= 2.86.ds1-66),
 mount [linux-any],
 login,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 systemd-sysv,
 runit-init,
 molly-guard (<< 0.8.3~),
 bfh-container (<< 20211009-24~),
 progress-linux-container (<< 20221002-12~),
Breaks:
 manpages-es (<< 4.15.0-9~),
 manpages-fr (<< 4.15.0-9~),
 manpages-de (<< 4.15.0-9~),
 manpages-hu (<< 1:4.15.0-9~),
 manpages-pl (<< 1:4.15.0-9~),
Replaces:
 systemd-sysv,
 sysvinit (<< 2.88dsf-44~),
 runit-init,
 manpages-es (<< 4.15.0-9~),
 manpages-fr (<< 4.15.0-9~),
 manpages-de (<< 4.15.0-9~),
 manpages-hu (<< 1:4.15.0-9~),
 manpages-pl (<< 1:4.15.0-9~),
Suggests:
 bootlogd,
Recommends:
 orphan-sysvinit-scripts,
Protected: yes
Description: System-V-like init
 This package contains programs required for booting
 a Debian system and doing basic process management.
 .
 The most important program in the package is /sbin/init.
 It is the first process started on boot and continues
 to run as process number 1 until the system halts. All
 other processes are descended from it.

Package: sysvinit-utils
Priority: required
Essential: yes
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: lsb-base (<< 11.3~)
Provides: lsb-base (= 11.1.0)
Replaces: lsb-base
Description: System-V-like utilities
 This package contains the important System-V-like utilities.
 .
 Specifically, this package includes:
 init-d-script, fstab-decode, killall5, pidof
 .
 It also contains the library scripts sourced by init-d-script and other
 initscripts that were formerly in lsb-base.

Package: sysv-rc
Homepage: https://salsa.debian.org/debian/sysvinit
Architecture: all
Multi-Arch: foreign
Depends:
 insserv,
 startpar (>= 0.62-1~),
 sysvinit-utils (>= 3.05-1),
 ${misc:Depends},
Description: System-V-like runlevel change mechanism
 This package provides support for the System-V like system
 for booting, changing runlevels, and shutting down,
 configured through symbolic links in /etc/rc?.d/.

Package: initscripts
Homepage: https://salsa.debian.org/debian/sysvinit
Architecture: all
Multi-Arch: foreign
Depends:
 sysvinit-utils (>= 3.05-1),
 sysv-rc | file-rc | openrc,
 ${misc:Depends},
Recommends:
 e2fsprogs,
 psmisc,
 util-linux-extra,
Breaks: udev (<<  254.3-1),
	util-linux-extra (<< 2.39.2-2.1~),
	kmod (<< 34.1-1)
Replaces: udev (<<  254.3-1),
	  util-linux-extra (<< 2.39.2-2.1~),
	  kmod (<< 34.1-1)
Description: scripts for initializing and shutting down the system
 The scripts in this package initialize a standard Debian
 system at boot time and shut it down at halt or reboot time.

Package: bootlogd
Architecture: any
Depends:
 sysvinit-utils (>= 3.05-1),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: plymouth
Breaks: manpages-fr (<< 4.15.0-9~),
Replaces: manpages-fr (<< 4.15.0-9~),
Description: daemon to log boot messages
 bootlogd logs all messages printed to the system console during system boot,
 and records those messages to a logfile.
 .
 Note that not all init systems print messages to the system console,
 so that the logfile may remain empty; this is the case with systemd
 (the default init system). Try "journalctl -b" instead.

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
https://codeberg.org/thejessesmith/sysvinit/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
